//  Persistence of Vision Raytracer V3.5
//  World definition file.
//
//  Contains 1 lights, 7 materials and 183 primitives.
//
//  This file was generated for POV-Ray V3.5 by
//  Moray V3.5 For Windows Copyright (c) 1993-2003 Lutz + Kretzschmar
//

//  Date : 12/30/2006    (30.12.2006)
//



// control center
// control center
//+AM2 +A0.0 +R3

#declare stylo_OK=1;

#declare use_cahier=1;

#include "nappe generator.inc"
// place the piece of fabric...
object { Nappe  rotate<90,0,90> translate <0,4.5,9.455> scale <1.2,1.2,1>}

// ... on a plane floor...


/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray V3.4 Beta For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.000392
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 100
  number_of_waves 10
  noise_generator 2
  charset ascii
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera01
  location  <     -6.435,      -7.743,       7.348>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.36548,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         45.00000    // Vertical      33.750
  look_at   <     -1.000,      -0.927,      -0.004>
}

//
// *******  L I G H T S *******
//
/*
light_source {   // Light001
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5000
  translate  <-5.0, 0.0, 20.0>
}
*/

//
// ********  MATERIALS  *******
//

#include "cahier.inc"


//
// ********  REFERENCED OBJECTS  *******
//

#declare Torus002 = object {
  torus { // Torus002
    0.065, 0.005  rotate -x*90
    material {
      B_Silver
    }
    scale <1.0, 1.0, 0.5>
    rotate -90.0*x
    translate  <-1.0, -1.36, -0.044056>
  }
}
#declare Torus001 = object {
  torus { // Torus001
    0.065, 0.005  rotate -x*90
    material {
      B_Silver
    }
    scale <1.0, 1.0, 0.5>
    rotate -90.0*x
    translate  <-1.0, -1.344225, -0.045>
  }
}




//
// ********  OBJECTS  *******
//



// insert_light
// ---------------------------------------------------------------------------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------------------------------------------------------------------------

             
//_________________________________________________________________________________    
// light


// An area light (creates soft shadows)
// WARNING: This special light can significantly slow down rendering times!
light_source {
  <0,0,0>                // light's position (translated below)
  color rgb <1.0,1.0,0.9>       // light's color
  area_light
  <8, 0, 0> <0, 0, 8> // lights spread out across this distance (x * z)
  4, 4                // total number of lights in grid (4x*4z = 16 lights)
  adaptive 1          // 0,1,2,3...
  jitter              // adds random softening of light
  circular            // make the shape of the light circular
  orient              // orient light
  translate <-20, -20, 10>   // <x y z> position of light
}



// ---------------------------------------------------------------------------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------------------------------------------------------------------------














// Insert cahier
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "cahier generator"
 
#declare left_angle_page=  1;
#declare right_angle_page= -5;
#if (use_cahier=1)
#declare Norm=<0,0,0>;
#declare Inter=   trace ( Nappe, <0.344624, 0.603091, 1>, <0, 0, -1>, Norm ); 



#declare cahier =
union { // cahier
 // object { page_G       rotate left_angle_page*y        }
  object { bloc_G       rotate left_angle_page*y        }
  object { couverture_G rotate left_angle_page*y        }
 //object { page_D       rotate right_angle_page*y       }
  object { bloc_D       rotate right_angle_page*y       }
  object { couverture_D rotate right_angle_page*y       }
  object { charniere    rotate left_angle_page*y        }
  scale 2
}
object {cahier}

#end





//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////




// ajout stylo
// ---------------------------------------------------------------------------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------------------------------------------------------------------------

#if (stylo_OK=1)

#include "modele crayon.pov"
#include "modele crayon.pov"

#declare place_red_pen=<-1,-0.5,1>;
#declare place_blue_pen=<0.5,0,1>;
#declare place_red_top=<-1,-1,1>;
#declare place_blue_top=<1,-0.5,1>;

        #if (use_cahier=1)
                #declare Norm=<0,0,0>;
                #declare Inter=   trace ( cahier, place_blue_pen, <0, 0, -1>, Norm ); 
                object  {       stylo_blue 
                                scale <0.05,0.05,0.15> 
                                rotate (<0,90,45>+right_angle_page*y )   
                                translate <place_blue_pen.x,place_blue_pen.y,Inter.z+0.05>
                         }
                #debug concat("hauteur du stylo bleue",str(Inter.z,2,2),"\n")
                  object  {       feutre_mauve 
                                scale <0.06,0.06,0.15> 
                                rotate (<0,90,165>)   
                                translate <-3,-1.5,-0.45>
                         }
                  object  {       feutre_bouchon_mauve 
                                scale 0.04
                                rotate (<0,-120,30>)   
                                translate <-4.2,-1.5,-0.4>
                         }
                #declare Inter=   trace ( cahier, place_blue_top, <0, 0, -1>, Norm ); 
                object  {       pencil_bouchon_blue  
                                scale 0.05 
                                rotate (<0,95,-60> +right_angle_page*y)
                                translate <place_blue_top.x,place_blue_top.y,Inter.z+0.10>
                        }          
                #debug concat("hauteur du bouchon bleue",str(Inter.z,2,2),"\n")
                
                #declare Inter=   trace ( cahier, place_blue_pen, <0, 0, -1>, Norm ); 
                object  {       stylo_red 
                                scale <0.05,0.05,0.15> 
                                rotate (<90,90,170>+left_angle_page*y)   
                                translate <place_red_pen.x,place_red_pen.y,Inter.z+0.05>
                        }
                #debug concat("hauteur du stylo rouge",str(Inter.z,2,2),"\n")
                
                #declare Inter=   trace ( cahier, place_red_top, <0, 0, -1>, Norm ); 
                object  {       pencil_bouchon_red  
                                scale 0.05 
                                rotate (<-90,90,90>+left_angle_page*y) 
                                translate <place_red_top.x,place_red_top.y,Inter.z+0.05>        
                        }          
                #debug concat("hauteur du bouchon rouge",str(Inter.z,2,2),"\n")
        
        #else
        
                #declare cahier= plane{z,0};
                
                #declare Norm=<0,0,0>;
                #declare Inter=   trace ( cahier, place_blue_pen, <0, 0, -1>, Norm ); 
                object  {       stylo_blue 
                                scale <0.05,0.05,0.15> 
                                rotate (<0,90,45>+right_angle_page*y *y)   
                                translate <place_blue_pen.x,place_blue_pen.y,Inter.z+0.05>
                         }
                #debug concat("hauteur du stylo bleue",str(Inter.z,2,2),"\n")
                                  object  {       feutre_mauve 
                                scale <0.06,0.06,0.15> 
                                rotate (<0,90,195>)   
                                translate <-2.5,-2,-0.4>
                         }
                  object  {       feutre_bouchon_mauve 
                                scale 0.04
                                rotate (<0,-90,30>)   
                                translate <-3.5,-3,0.0>
                         }

                #declare Inter=   trace ( cahier, place_blue_top, <0, 0, -1>, Norm ); 
                object  {       pencil_bouchon_blue  
                                scale 0.05 
                                rotate (<0,95,-60> +right_angle_page*y)
                                translate <place_blue_top.x,place_blue_top.y,Inter.z+0.12>
                        }          
                #debug concat("hauteur du bouchon bleue",str(Inter.z,2,2),"\n")
                
                #declare Inter=   trace ( cahier, place_blue_pen, <0, 0, -1>, Norm ); 
                object  {       stylo_red 
                                scale <0.05,0.05,0.15> 
                                rotate (<90,90,170>+left_angle_page*y)   
                                translate <place_red_pen.x,place_red_pen.y,Inter.z+0.05>
                        }
                #debug concat("hauteur du stylo rouge",str(Inter.z,2,2),"\n")
                
                #declare Inter=   trace ( cahier, place_red_top, <0, 0, -1>, Norm ); 
                object  {       pencil_bouchon_red  
                                scale 0.05 
                                rotate (<-90,90,90>+left_angle_page*y) 
                                translate <place_red_top.x,place_red_top.y,Inter.z+0.05>        
                        }          
                #debug concat("hauteur du bouchon rouge",str(Inter.z,2,2),"\n")

        
        #end


#end



// ---------------------------------------------------------------------------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------------------------------------------------------------------------





